# ETableSubsetVariable

## Name

ETableSubsetVariable --

## Synopsis

    #define     E_TABLE_SUBSET_VARIABLE_TYPE
    typedef     ETableSubsetVariable;
    ETableModel* e_table_subset_variable_new    (ETableModel *etm);
    ETableModel* e_table_subset_variable_construct
                                                (ETableSubsetVariable *etssv,
                                                 ETableModel *source);
    void        e_table_subset_variable_add     (ETableSubsetVariable *ets,
                                                 gint row);
    void        e_table_subset_variable_add_all (ETableSubsetVariable *ets);
    gboolean    e_table_subset_variable_remove  (ETableSubsetVariable *ets,
                                                 gint row);
    void        e_table_subset_variable_increment
                                                (ETableSubsetVariable *ets,
                                                 gint position,
                                                 gint amount);
    void        e_table_subset_variable_decrement
                                                (ETableSubsetVariable *ets,
                                                 gint position,
                                                 gint amount);
    void        e_table_subset_variable_set_allocation
                                                (ETableSubsetVariable *ets,
                                                 gint total);

## Object Hierarchy

      GtkObject
       +----ETableModel
             +----ETableSubset
                   +----ETableSubsetVariable
                         +----ETableSortedVariable

## Description

## Details

### E_TABLE_SUBSET_VARIABLE_TYPE

    #define E_TABLE_SUBSET_VARIABLE_TYPE        (e_table_subset_variable_get_type ())

### ETableSubsetVariable

    typedef struct {
    	ETableSubset base;

    	int n_vals_allocated;
    } ETableSubsetVariable;

### e_table_subset_variable_new ()

    ETableModel* e_table_subset_variable_new    (ETableModel *etm);

`etm` : |
Returns : |

### e_table_subset_variable_construct ()

    ETableModel* e_table_subset_variable_construct
                                                (ETableSubsetVariable *etssv,
                                                 ETableModel *source);

`etssv` : |
`source` : |
Returns : |

### e_table_subset_variable_add ()

    void        e_table_subset_variable_add     (ETableSubsetVariable *ets,
                                                 gint row);

`ets` : |
`row` : |

### e_table_subset_variable_add_all ()

    void        e_table_subset_variable_add_all (ETableSubsetVariable *ets);

`ets` : |

### e_table_subset_variable_remove ()

    gboolean    e_table_subset_variable_remove  (ETableSubsetVariable *ets,
                                                 gint row);

`ets` : |
`row` : |
Returns : |

### e_table_subset_variable_increment ()

    void        e_table_subset_variable_increment
                                                (ETableSubsetVariable *ets,
                                                 gint position,
                                                 gint amount);

`ets` : |
`position` : |
`amount` : |

### e_table_subset_variable_decrement ()

    void        e_table_subset_variable_decrement
                                                (ETableSubsetVariable *ets,
                                                 gint position,
                                                 gint amount);

`ets` : |
`position` : |
`amount` : |

### e_table_subset_variable_set_allocation ()

    void        e_table_subset_variable_set_allocation
                                                (ETableSubsetVariable *ets,
                                                 gint total);

`ets` : |
`total` : |